4
votes
1answer
426 views

Why do I get different openssl versions?

I'm trying to check if I running the latest OpenSSL version, my main concern is the heartbleed bug. I tried 2 commands: openssl version yum info openssl openssl version output OpenSSL ...
1
vote
0answers
8 views

How to solve multlib error? [duplicate]

I've been developing on a local Ubuntu Server, and moving dev files to production CentOS6 server. Working on installing node, The internet instructed to install the "development tools" group, so I ...
1
vote
2answers
863 views

Downgrade OpenSSL on CentOS 6.5

Application I use requires OpenSSL 0.9.8, which was already installed (0.9.8e to be specific) on my CentOS alongside 1.0.1e which unfortunately is used by default. I tried to change libssl.so.10 ...
0
votes
0answers
103 views

Install openssl with secp256k1 support on Centos

I'm trying to run this on my CentOS: openssl ecparam -name secp256k1 -genkey And I'm getting: unable to create curve (secp256k1) I guess I need to update my openssl. But not sure how that can be ...
1
vote
2answers
611 views

Openssl not getting updated to 1.0.1g in CentOS 6.2

After the heartbleed bug i have updated my openssl to 1.0.1g. But to my shock when today i see my server-status it shows me openssl version 1.0.1e that was vulnerable to Heartbleed. I have upgraded my ...
1
vote
0answers
22 views

Should I completely rebuild my server due to Heartbleed? [duplicate]

I have a CentOS 6.5 VPS server... $ uname -a Linux mary 3.14.4-x86_64-linode40 #1 SMP Tue May 13 12:25:05 EDT 2014 \ x86_64 x86_64 x86_64 GNU/Linux When the news about the Heartbleed ...
3
votes
1answer
147 views

Openssl hangs after client hello

I've got the following strange SSL connection error: openssl s_client -ssl3 -connect host:443 -msg CONNECTED(00000003) >>> SSL 3.0 Handshake [length 0087], ClientHello 01 00 00 83 03 ...
0
votes
3answers
499 views

PHP exec “unable to fork” intermittent error on CentOS VPS

Using: PHP 5.5.10 nginx 1.5.10 Centos 6.5 a xen-based 4GB VPS My site uses encrypted paypal buttons. This encryption is done by the following code: $openssl_cmd = "($OPENSSL smime -sign -signer ...
1
vote
1answer
387 views

version 0.9.7a of openssl reports “certificate signature failed”, but version 0.9.8e is happy

I am trying to construct an openssl certificate chain that will work with a standard CentOS 4 install as client. (I know it's very old, but it's what our client is using so we need to support it). ...
0
votes
2answers
2k views

Repairing replaced OpenSSL installation

I previously replaced openssl on my centos box with openssl10, using something like these instructions: rpm -Uvh http://dl.iuscommunity.org/pub/ius/stable/CentOS/6/... ...
1
vote
0answers
12 views

Installing proftpd - dependency issues (libcrypto.so and libssl.so.10) [duplicate]

I'm trying to install proftpd (for usage with zpanel if that's relevant), but I can't get passed these dependencies issues. I've tried to add a bunch of different packages/repos for yum, but it still ...
2
votes
3answers
2k views

Ruby Install on CentOS

I’m trying to install Ruby on Centos-6.4 64-bit as following: mkdir /tmp/ruby && cd /tmp/ruby curl --progress ftp://ftp.ruby-lang.org/pub/ruby/2.0/ruby-2.0.0-p247.tar.gz | tar xz cd ...
2
votes
1answer
169 views

the dnssec-keygen works very slow on Centos if we run it with inputting domain name only

From this ISC BIND article example: https://kb.isc.org/article/AA-00626/0/Inline-Signing-in-ISC-BIND-9.9.0-Examples.html $ dnssec-keygen example.com Generating key ...
1
vote
1answer
1k views

error: Cannot find OpenSSL's <evp.h> centos 6.3 (install php) [closed]

I have a problem during the intallation of php 5.3.27. When I launch the. / Configure I get this error and does not complete the installation. Configuring extensions checking size of long... ...
0
votes
0answers
93 views

Uninstalled openssl-libs by accident, how do I reinstall it

I accidently uninstalled openssl-libs on a CentOS 6.4 server. I still have an active SSH terminal session open, but I can't wget to download the openssl rpm. Yum won't work either, requires openssl. ...
1
vote
1answer
46 views

Apache server and a Microsoft CA

I've been trying to add SSL to a vTiger 6 CRM server for the past couple of days. My IT director and I have been trying to figure this out... We have followed this guide to create our certs ...
0
votes
1answer
309 views

Convert PUB key to PKCS8 format on CentOS?

In Ubuntu, i can convert a Pub key from OpenSSH-format to PKCS8 format by command: ssh-keygen -e -f .ssh/id_rsa.pub -m PKCS8 But in CentOS 6.4, when i execute the same command, it notice: ...
0
votes
2answers
882 views

Install xmlsec on CentOS

I installed xmlsec and it keeps giving me an error when I try to verify an XML document. yum install xmlsec1 yum install xmlsec1-openssl [vagrant@localhost SSO-ROR-development]$ xmlsec1 --verify ...
1
vote
1answer
120 views

OpenSSL response 404 issue on centOS 6

I followed this tutorial (though it's for 5.2, I figured I'd be alright). The changes I had to make that seemed to have worked: Rename ca.csr to ca.cslr (that's the one the command generated) List ...
1
vote
1answer
35 views

missing configuration in apache to achive mutual SSL authentcaion

After implementing a Mutual Certificate Authentication with OpenSSL and Apache Web Server on CentOS platform. I tried this scenario ( see this diagram ): ---------- ...
3
votes
1answer
6k views

how to uninstall mariadb and re-install mysql ? Mysql install turns into mariadb install

I recently upgraded my centos system via the desktop. mistake! I had mariadb, phpmyadmin working just fine before - but after the upgrade they stopped. I frantically googled and tried to follow some ...
0
votes
1answer
2k views

How do I downgrade openssl?

I am trying to install the StGeorge payment gateway api on my CewntOS VPS. But when I tried running php test.php I get error: error while opening file libwebpayclient.so So I tried: ldd ...
1
vote
3answers
6k views

CentOS openLDAP cert trust issues

# LDAPTLS_CACERTDIR=/etc/ssl/certs/ ldapwhoami -x -ZZ -H ldaps://ldap.domain.tld ldap_start_tls: Can't contact LDAP server (-1) additional info: TLS error -8172:Peer's certificate issuer has ...
0
votes
1answer
787 views

gnutls vs openssl with openldap, debian and centos

I have a Debian 6.0.5 server running openldap. It appears to be compiled against gnutls. I used gnutls' certtool to generate a self-signed certificate and I have used it on a few debian client ...
-1
votes
1answer
149 views

OpenSSL 0.9 on CentOS Not Generating SSL Cert Correctly

I'm having trouble generating a "trusted" certificate with OpenSSL. When I navigate to any page on my server using "https://", I get an "Untrusted Connection" page. Firefox gives me the ...
4
votes
3answers
1k views

Trustwave PCI Complaince scan fails for fully patched CentOS 5.5

I have a fully patched CentOS 5.5 server that is failing the Trustwave PCI compliance scan. The items it is complaining about is openssl < 0.9.8.o. rpm -q openssl shows: openssl-0.9.8e-12.el5_5.7 ...
1
vote
1answer
1k views

Can't compile CentOS 5, Ruby 1.9.2 and OpenSSL 1.0.0c [closed]

I'm trying to install Ruby 1.9.2 on CentOS 5.5. I get through most of the make process, but when it tries to compile OpenSSL I get an error. Below is the errror outputted: compiling openssl make[1]: ...
0
votes
2answers
2k views

Installing Plone on Centos fails: Unable to find libssl or openssl/ssl.h

My dedicated Server has CentOS 5.5. I tried to install Plone, so I basically did: wget launchpad.net/plone/4.0/4.0.2/+download/Plone-4.0.2-UnifiedInstaller.tgz tar xzf ...
3
votes
3answers
5k views

OpenSSL 0.9.8k or higher on CentOS 5?

I need to upgrade OpenSSL on my CentOS server to 0.9.8k or higher, however the latest version in the official CentOS repositories is 0.9.8e, much too old. Is there a 3rd party repository I can use ...
2
votes
1answer
4k views

OpenSSL support for Ruby: “Cipher is not a module (TypeError)”

The Problem Our systems admin needed to upgrade the packages on our CentOS 5.4 dev server to match the packages on our production server. The upgrade affected ruby and/or openssl. We run a Ruby on ...
3
votes
3answers
7k views

Upgrading OpenSSL in CentOS 5.3

I want to use one IP to host many domains with individual SSL certificates (requires SNI). In CentOS 5.3, the latest version of OpenSSL I can find an RPM for is 0.9.8e, which does not support SNI. I ...